# Embedded file name: /usr/lib/enigma2/python/Plugins/Extensions/Bitrate/__init__.py
from Components.Language import language
from Tools.Directories import resolveFilename, SCOPE_PLUGINS, SCOPE_LANGUAGE
from os import environ as os_environ
import gettext

def localeInit():
    lang = language.getLanguage()[:2]
    os_environ['LANGUAGE'] = lang
    gettext.bindtextdomain('Bitrate', resolveFilename(SCOPE_PLUGINS, 'Extensions/Bitrate/locale'))


def _(txt):
    t = gettext.dgettext('Bitrate', txt)
    if t == txt:
        t = gettext.gettext(txt)
    return t


localeInit()
language.addCallback(localeInit)